# Security Policy

## Supported Versions

We are committed to maintaining the security of OpenLIT and provide updates to address vulnerabilities. The following table shows which versions of our software currently receive security updates:

| Version | Supported          | Notes                                                       |
|---------|--------------------|-------------------------------------------------------------|
| 0.0.x   | :white_check_mark: | Active release with patches for all identified vulnerabilities. |

We encourage all users to run the latest version for the best security and stability.

## Reporting a Vulnerability

If you believe you have found a security vulnerability in OpenLIT or any of its SDKs or components, we encourage you to report it to us through our GitHub repository. Follow these steps to submit a report:

1. **Open an Issue**: Navigate to the [Issues tab](https://github.com/openlit/openlit/issues) in our GitHub repository and click on "New Issue".

2. **Describe in Detail**: Provide a thorough description of the vulnerability. This description should include steps to reproduce the issue and any potential impact.

3. **Label the Issue**: Attach the "Security Vulnerability" label to your issue. This helps us quickly identify and prioritize security-related concerns.

4. **Await Our Response**: The OpenLIT maintainers will review your report and respond as quickly as possible. We ask that you keep any communications regarding the potential vulnerability confidential until we've been able to investigate and address the issue.

5. **Updates**: We will provide status updates on the issue thread. Once resolved, we will acknowledge the contribution in the issue and any applicable release notes.

We appreciate your help in keeping OpenLIT secure. With your support and responsible disclosure, we can work together to create a safer software ecosystem for everyone.
